#include <ESP8266WiFi.h>
#include <ESP8266WebServer.h>

#define SSID "Your SSID" // Change this!
#define PASSWORD "Secret" // Change this too!

#define LED1 D1
#define LED2 D2

// IP address (change accordign to your own home situation)
IPAddress local_IP(192, 168, 0, 99);
IPAddress gateway(192, 168, 0, 1);
IPAddress subnet(255, 255, 255, 0); 

ESP8266WebServer server(80);

void handleRoot() {
 server.send(200, "text/plain", "OK"); 
 Flikkeren();
}

void setup() {
 Serial.begin(115200); 
 pinMode(LED1,OUTPUT);
 pinMode(LED2,OUTPUT);
 digitalWrite(LED1,HIGH);
 digitalWrite(LED2,HIGH);
 delay(200);
 if(!WiFi.config(local_IP, gateway, subnet)) {
  Serial.println("Static IP config failed!");
 }

 WiFi.begin(SSID, PASSWORD);
 Serial.println("Connecting...");

 while (WiFi.status() != WL_CONNECTED) {
  digitalWrite(LED1,HIGH);
  digitalWrite(LED2,HIGH);
  delay(500);
  digitalWrite(LED1,LOW);
  digitalWrite(LED2,LOW);
  Serial.print(".");
 }

 Serial.println("\nWiFi connected!");
 Serial.println("IP address: ");
 Serial.println(WiFi.localIP());

 server.on("/", handleRoot);
 server.begin();
 Serial.println("Webserver started");
}

void loop() {
 server.handleClient(); 
}

void Flikkeren() {
 long t=millis();
 long tEind=random(800, 2000);
 while(abs((long)millis()-t)<tEind) {
  digitalWrite(LED1,HIGH);
  digitalWrite(LED2,HIGH);
  delay(random(20, 80)); // Random flickering time 150 ms
  digitalWrite(LED1,LOW);
  digitalWrite(LED2,LOW);
  delay(random(10, 60));
 }
}
